<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
{
    Schema::create('balitas', function (Blueprint $table) {
        $table->id();
        $table->string('nik', 20)->unique();
        $table->string('nama_anak', 255);
        $table->enum('jenis_kelamin', ['Laki-laki', 'Perempuan']);
        $table->date('tanggal_lahir');
        $table->string('tempat_lahir', 255);
        $table->string('ibu_kandung', 255);
        $table->string('nama_ayah', 255);
        $table->string('alamat', 500);
        $table->timestamps();
    });
}


    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('balitas');
    }
};
